import request from '@/utils/request'

// 判断登陆角色
export function judgeRole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_根据人角色编号',
      param: '编号=' + arguments[0]
    }
  })
}
// 初始化MU
export function initMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_TL筛选框_筛选MU',
      param: '角色代码=' + arguments[0] + '&操作者工号=' + arguments[1] + '&月份=' + arguments[2]
    }
  })
}
// MU查询Segment
export function changeMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_TL筛选框_筛选SL',
      param: '角色代码=' + arguments[0] + '\\&操作者工号=' + arguments[1] + '\\&MU=' + arguments[2] + '\\&月份=' + arguments[3]
    }
  })
}
// Segment查询PV
export function changeSegment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_TL筛选框_筛选Area',
      param: '角色代码=' + arguments[0] + '\\&操作者工号=' + arguments[1] + '\\&部门=' + arguments[2] + '\\&月份=' + arguments[3]
    }
  })
}
// 查询奖金得分
export function searchBonus() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_部门TL月度奖金_查询',
      param: '月份=' + arguments[0] + '\\&操作者工号=' + arguments[1] + '\\&角色代码=' + arguments[2] + '\\&MU=' + arguments[3] + '\\&MU_check=' + arguments[4] + '\\&部门=' + arguments[5] + '\\&部门_check=' + arguments[6] + '\\&Area=' + arguments[7] + '\\&Area_check=' + arguments[8]
    }
  })
}
// 查询损失工时
export function loseHours() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_部门TL月度奖金_损失查询',
      param: '月份=' + arguments[0] + '\\&操作者工号=' + arguments[1] + '\\&角色代码=' + arguments[2] + '\\&MU=' + arguments[3] + '\\&MU_check=' + arguments[4] + '\\&部门=' + arguments[5] + '\\&部门_check=' + arguments[6] + '\\&Area=' + arguments[7] + '\\&Area_check=' + arguments[8]
    }
  })
}
